local i=require"luci.model.tasks"
local o=require"luci.model.gogs"
local a,t,e
a=i.docker_map("gogs","gogs","/usr/libexec/istorec/gogs.sh",
translate("Gogs"),
translate("Gogs is a painless self-hosted Git service.")
..translate("Official website:")..' <a href=\"https://gogs.io/\" target=\"_blank\">https://gogs.io/</a>')
t=a:section(SimpleSection,translate("Service Status"),translate("Gogs status:"))
t:append(Template("gogs/status"))
t=a:section(TypedSection,"main",translate("Setup"),translate("The following parameters will only take effect during installation or upgrade:"))
t.addremove=false
t.anonymous=true
e=t:option(Value,"http_port",translate("HTTP Port").."<b>*</b>")
e.default="3001"
e.datatype="string"
e.rmempty=false
e=t:option(Value,"ssh_port",translate("SSH Port").."<b>*</b>")
e.default="3022"
e.datatype="string"
e.rmempty=false
e=t:option(Value,"image_name",translate("Image").."<b>*</b>")
e.rmempty=false
e.datatype="string"
e:value("gogs/gogs:latest","gogs/gogs:latest")
e:value("gogs/gogs:0.12","gogs/gogs:0.12")
e.default="gogs/gogs:latest"
local i=o.blocks()
local n=o.home()
e=t:option(Value,"config_path",translate("Config path").."<b>*</b>")
e.rmempty=false
e.datatype="string"
local t,o=o.find_paths(i,n,"Configs")
for a,t in pairs(t)do
e:value(t,t)
end
e.default=o
return a
